package com.lightinit.hsdataplatform.service.admin;

import com.lightinit.hsdataplatform.model.ResultState;
import com.lightinit.hsdataplatform.model.admin.*;

import java.util.List;

public interface IContractService {
    List<ContractListModel> queryList(ContractSearchModel inputModel);

    long queryCount(ContractSearchModel inputModel);

    int isAdminFalg(Long id);

    List<ContractResourceListModel> resourceList(ContractResourceSearchModel inputModel);

    long resourceCount(ContractResourceSearchModel inputModel);

    ResultState addFinally(ContractAddModel input, Long id);

    ContractViewModel queryOne(Long id);

    ResultState<Long> contractStop(long id);

    ResultState editFinally(ContractEditModel input, Long userId);

    ResultState<Long> contractDelete(long id);
}
